function [parameter] = tikhonov(U,D,dependentData,lambda)

S = size(U,1);
R = size(D,2);

z = U'*dependentData;

a = sum(dependentData.^2) - sum(z.^2);

sumNum = 0;
for r=1:R
    q = ((S*lambda)/(D(r,r)^2+S*lambda))^2*(z(r,1))^2;
    sumNum = sumNum+q;
end

num = (a + sumNum)*S;

sumDem = 0;
for r=1:R
    q = ((S*lambda)/(D(r,r)^2+S*lambda));
    sumDem = sumDem+q;
end

dem = (S-R+sumDem)^2;

parameter = num/dem;

end

